import React, {Component} from 'react';
import {View, Image, Text} from 'react-native';
import HomeLayout from './HomeLayout';
import {setSpText, scaleSize} from '../utils/screen';

class Placeholder extends Component {
  render() {
    return (
      <HomeLayout>
        <View style={styles.container}>
          <Image source={require('../assets/Vertical/face.gif')} />
          <Text style={styles.text}>正在授权设备，请确保网络连接正常~</Text>
        </View>
      </HomeLayout>
    );
  }
}

const styles = {
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    background: 'white',
  },
  img: {
    width: '100%',
  },
  text: {
    fontSize: setSpText(60),
    marginTop: scaleSize(20),
    color: 'gray',
  },
};

export default Placeholder;
